"""Location app back-office urlconf."""
from django.urls import path

from location import views

app_name = 'location'

urlpatterns = [
    path('addresses/', views.AddressListCreateView.as_view(), name='address-list-create'),
    path('addresses/<int:pk>/', views.AddressRUDView.as_view(), name='address-RUD'),

    path('cities/', views.CityListCreateView.as_view(), name='city-list-create'),
    path('cities/all/', views.CityListSearchView.as_view(), name='city-list-create'),
    path('cities/<int:pk>/', views.CityRUDView.as_view(), name='city-retrieve'),
    path('cities/<int:pk>/gallery/', views.CityGalleryListView.as_view(),
         name='gallery-list'),
    path('cities/<int:pk>/gallery/<int:image_id>/',
         views.CityGalleryCreateDestroyView.as_view(),
         name='gallery-create-destroy'),

    path('countries/', views.CountryListCreateView.as_view(), name='country-list-create'),
    path('countries/<int:pk>/', views.CountryRUDView.as_view(), name='country-retrieve'),

    path('regions/', views.RegionListCreateView.as_view(), name='region-list-create'),
    path('regions/<int:pk>/', views.RegionRUDView.as_view(), name='region-retrieve'),
]
